## com.baidubce.services.bmr.model
Class HiveStepConfig

    java.lang.Object
      com.baidubce.services.bmr.model.StepConfig
          com.baidubce.services.bmr.model.HiveStepConfig

    public class HiveStepConfig

extends StepConfig

Represent configuration for a hive step. A hive step can be configured with name, actionOnFailure, script, input, output and arguments. The essential options are script and actionOnFailure, and the optional ones are name, input, output and arguments.

Constructor Summary
`HiveStepConfig()`

Method Summary
`HiveStepConfig` `withActionOnFailure(String actionOnFailure)` Configure the action on failure for the hive step.
`HiveStepConfig` `withArguments(String arguments)` Configure the arguments of the hive step.
`HiveStepConfig` `withInput(String input)` Configure the input path of the hive step.
`HiveStepConfig` `withName(String name)` Configure the name of the hive step.
`HiveStepConfig` `withOutput(String output)` Configure the output path of the hive step.
`HiveStepConfig` `withScript(String script)` Configure the script path of the hive step.

Methods inherited from class com.baidubce.services.bmr.model.StepConfig
`addProperty, getActionOnFailure, getName, getProperties, getType, setActionOnFailure, setName, setProperties, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HiveStepConfig

    public HiveStepConfig()

Method Detail

### withInput

    public HiveStepConfig withInput(String input)

  Configure the input path of the hive step.

  Parameters:
    `input` - The input path of the hive step.
  Returns:
    HiveStepConfig

### withScript

    public HiveStepConfig withScript(String script)

  Configure the script path of the hive step.

  Parameters:
    `script` - The script path of the hive step.
  Returns:
    HiveStepConfig

### withOutput

    public HiveStepConfig withOutput(String output)

  Configure the output path of the hive step.

  Parameters:
    `output` - The output path of the hive step.
  Returns:
    HiveStepConfig

### withArguments

    public HiveStepConfig withArguments(String arguments)

  Configure the arguments of the hive step.

  Parameters:
    `arguments` - The arguments of the hive step.
  Returns:
    HiveStepConfig

### withName

    public HiveStepConfig withName(String name)

  Configure the name of the hive step.

  Parameters:
    `name` - The name of the hive step.
  Returns:
    HiveStepConfig

### withActionOnFailure

    public HiveStepConfig withActionOnFailure(String actionOnFailure)

  Configure the action on failure for the hive step. This property is set to enum value: "Continue": continue to execute other steps. "TerminateCluster": terminate the cluster when this step fails. "CancelAndWait": cancel the other pending steps and set the cluster's status to WAITING.

  Parameters:
    `actionOnFailure` - The action on step's failure.
  Returns:
    HiveStepConfig

Copyright © 2016. All rights reserved.